If you’re not using the Interactive Authentication Flow, make sure the query parameters environmentName and companyId are correctly populated.
You can obtain these values by using the GET Environments and GET Companies endpoints available under the Authentication section.
The contactId field represents the ID of the vendor associated with the booking proposal.You can obtain this value by using the GET Suppliers endpoint.Either contactId or contactAccountNumber should be provided to identify the vendor.
The contactAccountNumber field represents the vendor number associated with the booking proposal.Either contactId or contactAccountNumber should be provided to identify the vendor.
The accountId field specifies the ID of the general ledger account linked to the line item.You can obtain this value by using the GET Accounts endpoint.
This endpoints is asynchronous. To check the status of the request, use the GET asyncTask endpoint.For more info about asynchronous tasks visit the Asynchronous Task section.
If you’re not using the Interactive Authentication Flow, make sure the query parameter companyId is accurately populated with the appropriate company ID. You can obtain this value by using the GET Companies endpoint available under the Authentication section.
The bankAccountNumber field must be 1-10 digits long and includes only numbers.If bankAccountNumber is provided, then bankCode is required.Example: 532013000
The contactAccountNumber field represents the account number of the contact associated with the booking proposal.It must be a valid number. The length must be equal to the account configured length + 1.It is the customer account number for INVOICE or the vendor account number for BILL.
For date format details visits the Standardized Data section.The discountPaymentDate field represents the date until which a discount (discountAmount and discountPercentage in line items) can be applied to the payment.If discountPaymentDate is provided, then discountAmount and discountPercentage are required for each line item.Its value must be earlier than the dueDate and later than the bookingProposalDate.
For date format details visits the Standardized Data section.The discountPaymentDate2 field represents the date until which a discount (discountAmount2 and discountPercentage2 in line items) can be applied to the payment.If provided, discountPaymentDate, discountAmount, discountPercentage, discountAmount2 and discountPercentage2 are required for each line item.Its value must be earlier than the dueDate and later than the bookingProposalDate and discountPaymentDate.
For date format details visits the Standardized Data section.The dueDate field represents the date by which the payment for the booking proposal is expected to be made.It is required when discount fields are provided. It must be after the bookingProposalDate.
The isPaymentOrder field determines whether a payment instruction (transfer for bills or direct debit for invoices) should
be automatically created when the booking proposal is processed.It must be false if paymentTermId is equal to 9.
The ledgerName field represents the name of the correct ledger folder where the data will be sent to.To get the correct name, you can use the GET Accounts endpoint.
For INVOICE booking proposals, the ledgerName must be of type ACCOUNT_RECEIVABLE, and for BILL booking proposals, it must be of type ACCOUNT_PAYABLE.
Depending on the Rechnungsdatenschnittstelle (invoice data interface) settings in DATEV Unternehmen Online, either a single booking proposal or one booking proposal per line item is created. Please check your configuration to ensure the desired behavior.
The accountName field specifies the name of the general ledger account linked to the individual line item within the invoice or bill.It cannot exceed 40 characters in length.
The accountNumber field specifies the general ledger account linked to the individual line item within the invoice or bill.It must be a valid number. The length must be equal to the account configured length.
The dimension1 field represents the information for cost accounting (KOST1).It cannot exceed 36 characters in length. It must follow the pattern : ^([\S][\S ]{0,34}[\S]|[\S]{0,1})$.Example: Marketing.
The dimension2 field represents the information for cost accounting (KOST2).It cannot exceed 36 characters in length. It must follow the pattern : ^([\S][\S ]{0,34}[\S]|[\S]{0,1})$.Example: IT department.
The discountAmount field represents the fixed amount to be discounted if paid by the discountPaymentDate.It must be a positive number with up to 8 digits before the decimal point and exactly 2 digits after.It cannot exceed the line item’s totalGrossAmount.
The discountAmount2 field represents the fixed amount to be discounted if paid by the discountPaymentDate2.It must be a positive number with up to 8 digits before the decimal point and exactly 2 digits after.It cannot exceed the line item’s totalGrossAmount and the discountAmount.
The discountPercentage field represents the percentage to be discounted if paid by the discountPaymentDate.It must be a positive number with up to 2 digits before the decimal point and up to 2 digits after.It cannot exceed 100%.
The discountPercentage2 field represents the percentage to be discounted if paid by the discountPaymentDate2.It must be a positive number with up to 2 digits before the decimal point and up to 2 digits after.It must be less then the discountPercentage.
The totalGrossAmount field represents the total gross amount for the specific line item.It must be a number with up to 10 digits before the decimal point and up to 2 digits after.It cannot be zero.
The paymentTermsId field represents the identifier of the payment term associated with the booking proposal.It is max 3 characters long. It must includes only numbers.If provided, the discount fields are not allowed.
The totalGrossAmount field represents the total gross amount for the entire booking proposal.It cannot be zero and must equal the sum of the totalGrossAmount of all line items.
The register field represents the third-level folder in the folder structure.
Exact Online
If you’re not using the Interactive Authentication Flow, make sure the query parameter companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.
The contactId represents the contact associated with the booking proposal.
If the bookingType is BILL, this must be the id of a supplier.
If the booking type is INVOICE, this must be the id of a customer.
The paymentTermsId field represents the code of the payment term associated with the booking proposal.To get the correct code, you can use the GET PaymentTerms endpoint.
The accountId field specifies the id of the posting category in Lexware that represents the general ledger account linked to the individual line item within the booking proposal.To get the correct accountId, you can use the GET Accounts endpoint.
If you’re not using the Interactive Authentication Flow, make sure the query parameter companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.
The accountId field specifies the id of ledger account linked to the individual line item within the booking proposal.To get the correct accountId, you can use the GET Accounts endpoint.
The contactAccountNumber field represents the account number of the contact associated with the booking proposal.It must be a valid number. It is the customer account number for INVOICE or the vendor account number for BILL.
The accountCode field specifies the code of the GL account linked to the individual line item within the booking proposal.To get the correct accountCode, you can use the GET Accounts endpoint.
This endpoint is available only for the following countries:
Accounting Plus: Canada, United Kingdom, Ireland
Accounting Standard: United Kingdom, Ireland
Accounting Start: Canada, United Kingdom, Ireland
When handling a new connection in your integration, it is advisable to first determine which subscription your customer is using to ensure compatibility. To do this, you can use the GET Companies call to retrieve all businesses available for the user. The user will then select one of these businesses.
It is also a good practice to verify that the active property of the selected business is set to true before proceeding with the integration setup.
Deprecated. Use number instead.The notes field is mapped to the document number in sevdesk. It is still accepted for backwards compatibility and takes precedence when both notes and number are provided.
The accountCode field specifies the code of the general ledger account linked to the individual line item within the booking proposal.To get the correct code, you can use the GET Accounts endpoint.
Unique key to ensure idempotent requests. If provided, duplicate requests with the same key will return the cached response instead of creating duplicate resources.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.schema.json","name":"maesn","colors":{"primary":"#27A691","light":"#5DCFBC","dark":"#004253"},"logo":{"light":"https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/maesn-light.svg?fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=ba936398d19fd8fe8fb10d7b41c80170","dark":"https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/maesn-dark.svg?fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=a831914dd5d3b84e5886f319d696df75","href":"https://docs.maesn.com"},"favicon":"https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/maesn-favicon.svg?fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=0467d15b5d0ab2458326fa937d685118","navbar":{"primary":{"type":"button","label":"Get an API key","href":"https://www.maesn.com/contact/"}},"footer":{"socials":{"website":"https://www.maesn.com","github":"https://github.com/maesndev","linkedin":"https://www.linkedin.com/company/maesn-integration","youtube":"https://www.youtube.com/@Maesn_One-API"}},"seo":{"metatags":{"author":"Lennart Svensson","canonical":"https://docs.maesn.com"},"indexing":"all"},"integrations":{"gtm":{"tagId":"GTM-NRQ25WDW"}},"metadata":{"timestamp":true},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"maesn","hasAudioNarration":false,"actualSubdomain":"maesn","customDomains":["docs.maesn.com"],"gitSource":{"type":"github","owner":"maesndev","repo":"docs-2","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae9d9a7b0a155cbec307d8d","collectionId":"04353883-6607-4eaf-a731-ec81331a7d09","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae9d9a7b0a155cbec307d8d"},"feedback":{"thumbs":true,"edits":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae9d9a7b0a155cbec307d8d","clientVersion":"0.0.4064","searchFilterCounts":[{"language":"default","tag":"API reference","count":149},{"language":"default","tag":"Accounting","count":133},{"language":"default","tag":"Integrations","count":32},{"language":"default","tag":"Get started","count":17},{"language":"default","tag":"Use cases","count":13},{"language":"default","tag":"Journal Entries","count":11},{"language":"default","tag":"Contacts","count":9},{"language":"default","tag":"Booking Proposals","count":8},{"language":"default","tag":"Bills","count":6},{"language":"default","tag":"Items","count":6}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".integration-table table{width:100%;table-layout:fixed}.integration-table table th:first-child{width:40%}.integration-table table th:not(:first-child){width:15%;text-align:center}.integration-table table td:not(:first-child){text-align:center;padding:8px 4px}"}],"page":{"pagePath":"api-reference/accounting-endpoints/bookingproposals/create-booking-proposal","slug":"/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal","pageMetadata":{"openapi":"POST /accounting/bookingProposals","title":null,"description":null,"href":"/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,br:`br`,code:`code`,p:`p`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{Accordion,AccordionGroup,Expandable,Heading,Note,ResponseField,Table}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!AccordionGroup)_missingMdxReference(`AccordionGroup`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`2`,id:`field-support-per-integration`,children:`Field support per integration`}),`\n`,_jsxs(AccordionGroup,{children:[_jsxs(Accordion,{title:`Business Central`,icon:`https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/businesscentral.svg?fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=9cdc50aa9f467133e9e9372eab83f38b`,\"data-og-width\":`24`,width:`24`,\"data-og-height\":`24`,height:`24`,\"data-path\":`logo/businesscentral.svg`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/businesscentral.svg?w=280\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=3f967f9832ebc9a3a209ba46612b783d 280w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/businesscentral.svg?w=560\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=5d89c7285d0b311cbab3aa509d70f988 560w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/businesscentral.svg?w=840\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=be205e909bc1b77b2d187215b76c51a9 840w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/businesscentral.svg?w=1100\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=8536770f2de39728fb6f6a7a8a52ae0b 1100w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/businesscentral.svg?w=1650\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=c2b4af4bec648ab68dab20c272a9b358 1650w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/businesscentral.svg?w=2500\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=59ea99e66c1d2d81aba0abefb94e72fa 2500w`,id:`business-central`,children:[_jsx(Note,{children:_jsxs(_components.p,{children:[`If you’re not using the `,_jsx(_components.a,{href:`/authentication#interactive-authentication-flow`,children:`Interactive Authentication Flow`}),`, make sure the query parameters `,_jsx(_components.code,{children:`environmentName`}),` and `,_jsx(_components.code,{children:`companyId`}),` are correctly populated.\nYou can obtain these values by using the `,_jsx(_components.code,{children:`GET Environments`}),` and `,_jsx(_components.code,{children:`GET Companies`}),` endpoints available under the Authentication section.`]})}),_jsx(_components.p,{children:`Supported request parameters:`}),_jsx(ResponseField,{name:`bookingProposal`,type:`object`,required:true,id:`param-booking-proposal`,children:_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`bookingProposalDate`,type:`string`,id:`param-booking-proposal-date`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`bookingProposalDate`}),` field represents the invoice date.`]}),_jsxs(_components.p,{children:[`For date format details visit the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})]}),_jsxs(ResponseField,{name:`contactId`,type:`string`,required:true,id:`param-contact-id`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`contactId`}),` field represents the ID of the vendor associated with the booking proposal.`]}),_jsxs(_components.p,{children:[`You can obtain this value by using the `,_jsx(_components.code,{children:`GET Suppliers`}),` endpoint.`]}),_jsxs(_components.p,{children:[`Either `,_jsx(_components.code,{children:`contactId`}),` or `,_jsx(_components.code,{children:`contactAccountNumber`}),` should be provided to identify the vendor.`]})]}),_jsxs(ResponseField,{name:`contactAccountNumber`,type:`number`,id:`param-contact-account-number`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`contactAccountNumber`}),` field represents the vendor number associated with the booking proposal.`]}),_jsxs(_components.p,{children:[`Either `,_jsx(_components.code,{children:`contactId`}),` or `,_jsx(_components.code,{children:`contactAccountNumber`}),` should be provided to identify the vendor.`]})]}),_jsxs(ResponseField,{name:`currency`,type:`enum`,id:`param-currency`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`currency`}),` field supports `,_jsx(_components.strong,{children:`ISO 4217`}),` (3-letter codes).`]}),_jsxs(_components.p,{children:[`For details visit the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})]}),_jsxs(ResponseField,{name:`dueDate`,type:`string`,id:`param-due-date`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`dueDate`}),` field represents the date by which the payment is expected.`]}),_jsxs(_components.p,{children:[`For date format details visit the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})]}),_jsx(ResponseField,{name:`lineItems`,type:`BookingLineItem[]`,id:`param-line-items`,children:_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`accountId`,type:`string`,id:`param-account-id`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`accountId`}),` field specifies the ID of the general ledger account linked to the line item.`]}),_jsxs(_components.p,{children:[`You can obtain this value by using the `,_jsx(_components.code,{children:`GET Accounts`}),` endpoint.`]})]}),_jsx(ResponseField,{name:`description`,type:`string`,id:`param-description`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`description`}),` field provides details about the specific line item.`]})}),_jsx(ResponseField,{name:`dimensions`,type:`Dimension[]`,id:`param-dimensions`,children:_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`dimension`,type:`string`,id:`param-dimension`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`dimension`}),` field specifies the category of the dimension associated with the line item.`]}),_jsxs(_components.p,{children:[`Example: `,_jsx(_components.code,{children:`ABTEILUNG`}),`.`]})]}),_jsxs(ResponseField,{name:`code`,type:`string`,id:`param-code`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`code`}),` field specifies the code of the sub-dimension associated with the line item.`]}),_jsxs(_components.p,{children:[`Example: `,_jsx(_components.code,{children:`PROD`}),`.`]})]})]})}),_jsxs(ResponseField,{name:`totalGrossAmount`,type:`number`,id:`param-total-gross-amount`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`totalGrossAmount`}),` field represents the unit cost for the line item.`]}),_jsx(_components.p,{children:`Note: Quantity is fixed at 1 for each line item.`})]}),_jsx(ResponseField,{name:`taxCode`,type:`string`,id:`param-tax-code`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`taxCode`}),` field represents the tax code associated with the line item.`]})}),_jsx(ResponseField,{name:`discountAmount`,type:`number`,id:`param-discount-amount`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`discountAmount`}),` field represents the discount amount applied to the line item.`]})}),_jsx(ResponseField,{name:`discountPercentage`,type:`number`,id:`param-discount-percentage`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`discountPercentage`}),` field represents the discount percentage applied to the line item.`]})})]})}),_jsx(ResponseField,{name:`number`,type:`string`,id:`param-number`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`number`}),` field represents the vendor invoice number for the booking proposal.`]})})]})}),_jsxs(ResponseField,{name:`bookingType`,type:`BookingType`,required:true,id:`param-booking-type`,children:[_jsxs(_components.p,{children:[`Available options: `,_jsx(_components.code,{children:`BILL`})]}),_jsxs(_components.p,{children:[`Note: Business Central booking proposals are created as purchase invoices, so only `,_jsx(_components.code,{children:`BILL`}),` type is supported.`]})]}),_jsxs(ResponseField,{name:`files`,type:`file[]`,id:`param-files`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`files`}),` array can be used to attach files to the booking proposal. Only one file can be attached.`]}),_jsx(Note,{children:_jsxs(_components.p,{children:[`The name of the uploaded files must include the file extension, for example `,_jsx(_components.code,{children:`invoice.pdf`}),`.`]})})]}),_jsx(_components.p,{children:_jsx(_components.strong,{children:`Partial Errors`})}),_jsxs(_components.p,{children:[`This integration may return `,_jsx(_components.a,{href:`/guides/partial-errors`,children:`partial errors`}),`:`]}),_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{style:{textAlign:`left`},children:`Code`}),_jsx(_components.th,{style:{textAlign:`left`},children:`Recovery`})]})}),_jsx(_components.tbody,{children:_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`FILE_UPLOAD_FAILED`})}),_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.a,{href:`/api-reference/accounting-endpoints/bookingproposals/attachments/create-booking-proposal-attachment`,children:`POST /bookingProposals/{id}/attachments`})})]})})]})]}),_jsxs(Accordion,{title:`DATEV Unternehmen Online`,icon:`https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=5589154dcfa064e1d967a067e488896a`,\"data-og-width\":`24`,width:`24`,\"data-og-height\":`24`,height:`24`,\"data-path\":`logo/datev.svg`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=280\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=319de3efc8c2dab5a815d0783ce59114 280w, https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=560\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=019de0ca0988ae6f5d9b82726b43c340 560w, https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=840\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=7c441c862900642150fe5cd0a9710f0b 840w, https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=1100\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=0555657de5a013a90e7c1f7a93fdff4a 1100w, https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=1650\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=988016562e8fe1396468303625e27332 1650w, https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=2500\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=7bbf44b2ddbb45e49392c1b5b846c7b3 2500w`,id:`datev-unternehmen-online`,children:[_jsx(Note,{children:_jsxs(_components.p,{children:[`This endpoint has been deprecated. Please use the `,_jsx(_components.a,{href:`/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async`,children:_jsx(_components.code,{children:`Create Booking Proposal Async`})}),` endpoint.`]})}),_jsxs(Note,{children:[_jsxs(_components.p,{children:[`This endpoints is asynchronous. To check the status of the request, use the `,_jsx(_components.code,{children:`GET asyncTask`}),` endpoint.`]}),_jsxs(_components.p,{children:[`For more info about asynchronous tasks visit the `,_jsx(_components.a,{href:`/async-task`,children:_jsx(_components.code,{children:`Asynchronous Task`})}),` section.`]})]}),_jsx(Note,{children:_jsxs(_components.p,{children:[`If you’re not using the `,_jsx(_components.a,{href:`/authentication#interactive-authentication-flow`,children:`Interactive Authentication Flow`}),`, make sure the query parameter `,_jsx(_components.code,{children:`companyId`}),` is accurately populated with the appropriate company ID. You can obtain this value by using the `,_jsx(_components.code,{children:`GET Companies`}),` endpoint available under the Authentication section.`]})}),_jsx(_components.p,{children:`Supported request parameters:`}),_jsx(ResponseField,{name:`bookingProposal`,type:`string`,required:true,id:`param-booking-proposal-1`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`id`}),` field represents the unique identifier of the booking proposal.`]})}),_jsxs(Note,{children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`id`}),` must be a valid UUID; otherwise, it will be ignored.`]}),_jsxs(_components.p,{children:[`This field is only relevant and used `,_jsx(_components.code,{children:`when uploading files`}),` with the booking proposal.`]})]}),_jsx(ResponseField,{name:`addresses`,type:`Address[]`,id:`param-addresses`,children:_jsx(Expandable,{title:`properties`,children:_jsx(ResponseField,{name:`city`,type:`string`,id:`param-city`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`city`}),` must not exceed 30 characters in length.`]})})})}),_jsxs(ResponseField,{name:`bankAccountNumber`,type:`number`,id:`param-bank-account-number`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`bankAccountNumber`}),` field must be 1-10 digits long and includes only numbers.`]}),_jsxs(_components.p,{children:[`If `,_jsx(_components.code,{children:`bankAccountNumber`}),` is provided, then `,_jsx(_components.code,{children:`bankCode`}),` is required.`]}),_jsxs(_components.p,{children:[`Example: `,_jsx(_components.code,{children:`532013000`})]})]}),_jsxs(ResponseField,{name:`bankCode`,type:`string`,id:`param-bank-code`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`bankCode`}),` must respect the following pattern: `,_jsx(_components.code,{children:`^([1-9]|[0-9]{2,10})$`})]}),_jsxs(_components.p,{children:[`If `,_jsx(_components.code,{children:`bankCode`}),` is provided, then `,_jsx(_components.code,{children:`bankAccountNumber`}),` is required.`]}),_jsxs(_components.p,{children:[`Example: `,_jsx(_components.code,{children:`37040044`})]})]}),_jsxs(ResponseField,{name:`bic`,type:`string`,id:`param-bic`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`bic`}),` field must respect the following pattern: `,_jsx(_components.code,{children:`^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}[A-Z0-9]{0,3}$`}),`.`]}),_jsxs(_components.p,{children:[`Example: `,_jsx(_components.code,{children:`DEUTDEFF`}),`.`]})]}),_jsx(ResponseField,{name:`bookingProposalDate`,type:`string`,required:true,id:`param-booking-proposal-date-1`,children:_jsxs(_components.p,{children:[`For date format details visits the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsxs(ResponseField,{name:`contactAccountNumber`,type:`number`,id:`param-contact-account-number-1`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`contactAccountNumber`}),` field represents the account number of the contact associated with the booking proposal.`]}),_jsx(_components.p,{children:`It must be a valid number. The length must be equal to the account configured length + 1.`}),_jsxs(_components.p,{children:[`It is the customer account number for `,_jsx(_components.code,{children:`INVOICE`}),` or the vendor account number for `,_jsx(_components.code,{children:`BILL`}),`.`]})]}),_jsxs(ResponseField,{name:`contactName`,type:`string`,id:`param-contact-name`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`contactName`}),` field represents the name of the contact associated with the booking proposal.`]}),_jsx(_components.p,{children:`It cannot exceed 50 characters in length.`})]}),_jsx(ResponseField,{name:`currency`,type:`enum`,required:true,id:`param-currency-1`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`currency`}),` field supports `,_jsx(_components.strong,{children:`ISO 4217`}),` (3-letter codes).\nFor details visits the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsx(ResponseField,{name:`deliveryDate `,type:`string`,id:`param-delivery-date`,children:_jsxs(_components.p,{children:[`For date format details visits the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsxs(ResponseField,{name:`discountPaymentDate`,type:`string`,id:`param-discount-payment-date`,children:[_jsxs(_components.p,{children:[`For date format details visits the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]}),_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`discountPaymentDate`}),` field represents the date until which a discount (`,_jsx(_components.code,{children:`discountAmount`}),` and `,_jsx(_components.code,{children:`discountPercentage`}),` in line items) can be applied to the payment.`]}),_jsxs(_components.p,{children:[`If `,_jsx(_components.code,{children:`discountPaymentDate`}),` is provided, then `,_jsx(_components.code,{children:`discountAmount`}),` and `,_jsx(_components.code,{children:`discountPercentage`}),` are required for each line item.`]}),_jsxs(_components.p,{children:[`Its value must be earlier than the `,_jsx(_components.code,{children:`dueDate`}),` and later than the `,_jsx(_components.code,{children:`bookingProposalDate`}),`.`]})]}),_jsxs(ResponseField,{name:`discountPaymentDate2`,type:`string`,id:`param-discount-payment-date2`,children:[_jsxs(_components.p,{children:[`For date format details visits the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]}),_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`discountPaymentDate2`}),` field represents the date until which a discount (`,_jsx(_components.code,{children:`discountAmount2`}),` and `,_jsx(_components.code,{children:`discountPercentage2`}),` in line items) can be applied to the payment.`]}),_jsxs(_components.p,{children:[`If provided, `,_jsx(_components.code,{children:`discountPaymentDate`}),`, `,_jsx(_components.code,{children:`discountAmount`}),`, `,_jsx(_components.code,{children:`discountPercentage`}),`, `,_jsx(_components.code,{children:`discountAmount2`}),` and `,_jsx(_components.code,{children:`discountPercentage2`}),` are required for each line item.`]}),_jsxs(_components.p,{children:[`Its value must be earlier than the `,_jsx(_components.code,{children:`dueDate`}),` and later than the `,_jsx(_components.code,{children:`bookingProposalDate`}),` and `,_jsx(_components.code,{children:`discountPaymentDate`}),`.`]})]}),_jsxs(ResponseField,{name:`dueDate `,type:`string`,id:`param-due-date-1`,children:[_jsxs(_components.p,{children:[`For date format details visits the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]}),_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`dueDate`}),` field represents the date by which the payment for the booking proposal is expected to be made.`]}),_jsxs(_components.p,{children:[`It is required when discount fields are provided. It must be after the `,_jsx(_components.code,{children:`bookingProposalDate`}),`.`]})]}),_jsxs(ResponseField,{name:`iban`,type:`string`,id:`param-iban`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`iban`}),` field must respect the following pattern: `,_jsx(_components.code,{children:`^[A-Z]{2}[0-9]{2}[A-Z0-9]{1,30}$`}),`.`]}),_jsxs(_components.p,{children:[`Example: `,_jsx(_components.code,{children:`DE89370400440532013000`}),`.`]})]}),_jsxs(ResponseField,{name:`isPaymentOrder`,type:`boolean`,id:`param-is-payment-order`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`isPaymentOrder`}),` field determines whether a payment instruction (transfer for bills or direct debit for invoices) should\nbe automatically created when the booking proposal is processed.`]}),_jsxs(_components.p,{children:[`It must be `,_jsx(_components.code,{children:`false`}),` if `,_jsx(_components.code,{children:`paymentTermId`}),` is equal to `,_jsx(_components.code,{children:`9`}),`.`]})]}),_jsxs(ResponseField,{name:`ledgerName`,type:`string`,required:true,id:`param-ledger-name`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`ledgerName`}),` field represents the name of the correct ledger folder where the data will be sent to.`]}),_jsxs(_components.p,{children:[`To get the correct name, you can use the `,_jsx(_components.code,{children:`GET Accounts`}),` endpoint.`]})]}),_jsx(Note,{children:_jsxs(_components.p,{children:[`For `,_jsx(_components.code,{children:`INVOICE`}),` booking proposals, the `,_jsx(_components.code,{children:`ledgerName`}),` must be of type `,_jsx(_components.code,{children:`ACCOUNT_RECEIVABLE`}),`, and for `,_jsx(_components.code,{children:`BILL`}),` booking proposals, it must be of type `,_jsx(_components.code,{children:`ACCOUNT_PAYABLE`}),`.`]})}),_jsxs(ResponseField,{name:`lineItems`,type:`BookingLineItem[]`,required:true,id:`param-line-items-1`,children:[_jsx(Note,{children:_jsx(_components.p,{children:`Depending on the Rechnungsdatenschnittstelle (invoice data interface) settings in DATEV Unternehmen Online, either a single booking proposal or one booking proposal per line item is created. Please check your configuration to ensure the desired behavior.`})}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`accountName`,type:`string`,id:`param-account-name`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`accountName`}),` field specifies the name of the general ledger account linked to the individual line item within the invoice or bill.`]}),_jsx(_components.p,{children:`It cannot exceed 40 characters in length.`})]}),_jsxs(ResponseField,{name:`accountNumber`,type:`number`,id:`param-account-number`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`accountNumber`}),` field specifies the general ledger account linked to the individual line item within the invoice or bill.`]}),_jsx(_components.p,{children:`It must be a valid number. The length must be equal to the account configured length.`})]}),_jsxs(ResponseField,{name:`bookingTaxCode`,type:`string`,id:`param-booking-tax-code`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`bookingTaxCode`}),` field represents the BU code associated with the line item.`]}),_jsx(_components.p,{children:`It must be max 4 characters long. Only numbers are allowed.`})]}),_jsxs(ResponseField,{name:`description`,type:`string`,id:`param-description-1`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`description`}),` field provides details about the specific line item in the booking proposal.`]}),_jsx(_components.p,{children:`It cannot exceed 60 characters in length.`})]}),_jsxs(ResponseField,{name:`dimension1`,type:`string`,id:`param-dimension1`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`dimension1`}),` field represents the information for cost accounting (KOST1).`]}),_jsxs(_components.p,{children:[`It cannot exceed 36 characters in length. It must follow the pattern : `,_jsx(_components.code,{children:`^([\\\\S][\\\\S ]{0,34}[\\\\S]|[\\\\S]{0,1})$`}),`.`]}),_jsxs(_components.p,{children:[`Example: `,_jsx(_components.code,{children:`Marketing`}),`.`]})]}),_jsxs(ResponseField,{name:`dimension2`,type:`string`,id:`param-dimension2`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`dimension2`}),` field represents the information for cost accounting (KOST2).`]}),_jsxs(_components.p,{children:[`It cannot exceed 36 characters in length. It must follow the pattern : `,_jsx(_components.code,{children:`^([\\\\S][\\\\S ]{0,34}[\\\\S]|[\\\\S]{0,1})$`}),`.`]}),_jsxs(_components.p,{children:[`Example: `,_jsx(_components.code,{children:`IT department`}),`.`]})]}),_jsxs(ResponseField,{name:`discountAmount`,type:`number`,id:`param-discount-amount-1`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`discountAmount`}),` field represents the fixed amount to be discounted if paid by the `,_jsx(_components.code,{children:`discountPaymentDate`}),`.`]}),_jsx(_components.p,{children:`It must be a positive number with up to 8 digits before the decimal point and exactly 2 digits after.`}),_jsxs(_components.p,{children:[`It cannot exceed the line item’s `,_jsx(_components.code,{children:`totalGrossAmount`}),`.`]})]}),_jsxs(ResponseField,{name:`discountAmount2`,type:`number`,id:`param-discount-amount2`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`discountAmount2`}),` field represents the fixed amount to be discounted if paid by the `,_jsx(_components.code,{children:`discountPaymentDate2`}),`.`]}),_jsx(_components.p,{children:`It must be a positive number with up to 8 digits before the decimal point and exactly 2 digits after.`}),_jsxs(_components.p,{children:[`It cannot exceed the line item’s `,_jsx(_components.code,{children:`totalGrossAmount`}),` and the `,_jsx(_components.code,{children:`discountAmount`}),`.`]})]}),_jsxs(ResponseField,{name:`discountPercentage`,type:`number`,id:`param-discount-percentage-1`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`discountPercentage`}),` field represents the percentage to be discounted if paid by the `,_jsx(_components.code,{children:`discountPaymentDate`}),`.`]}),_jsx(_components.p,{children:`It must be a positive number with up to 2 digits before the decimal point and up to 2 digits after.`}),_jsx(_components.p,{children:`It cannot exceed 100%.`})]}),_jsxs(ResponseField,{name:`discountPercentage2`,type:`number`,id:`param-discount-percentage2`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`discountPercentage2`}),` field represents the percentage to be discounted if paid by the `,_jsx(_components.code,{children:`discountPaymentDate2`}),`.`]}),_jsx(_components.p,{children:`It must be a positive number with up to 2 digits before the decimal point and up to 2 digits after.`}),_jsxs(_components.p,{children:[`It must be less then the `,_jsx(_components.code,{children:`discountPercentage`}),`.`]})]}),_jsxs(ResponseField,{name:`taxRatePercentage `,type:`number`,id:`param-tax-rate-percentage`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`taxRatePercentage`}),` field represents the tax rate applied to the line item.`]}),_jsx(_components.p,{children:`It must be a positive number.`})]}),_jsxs(ResponseField,{name:`totalGrossAmount`,type:`number`,required:true,id:`param-total-gross-amount-1`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`totalGrossAmount`}),` field represents the total gross amount for the specific line item.`]}),_jsx(_components.p,{children:`It must be a number with up to 10 digits before the decimal point and up to 2 digits after.`}),_jsx(_components.p,{children:`It cannot be zero.`})]})]})]}),_jsx(ResponseField,{name:`notes`,type:`string`,id:`param-notes`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`notes`}),` field allows for additional information or comments related to the booking proposal.\nIt cannot exceed 120 characters in length.`]})}),_jsxs(ResponseField,{name:`number`,type:`string`,required:true,id:`param-number-1`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`number`}),` field represents the document number.`]}),_jsxs(_components.p,{children:[`It must match the pattern: `,_jsx(_components.code,{children:`^[a-zA-Z0-9$%\u0026*\\\\+\\\\-/]{0,36}$`}),`.`]})]}),_jsxs(ResponseField,{name:`orderId`,type:`string`,id:`param-order-id`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`orderId`}),` field represents the order identifier associated with the booking proposal.`]}),_jsxs(_components.p,{children:[`It must match the pattern: `,_jsx(_components.code,{children:`^[a-zA-Z0-9$%\u0026*+\\\\-./]{1,30}$`}),`.`]})]}),_jsx(ResponseField,{name:`paidDate`,type:`string`,id:`param-paid-date`,children:_jsxs(_components.p,{children:[`For date format details visits the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsxs(ResponseField,{name:`paymentTermsId`,type:`string`,id:`param-payment-terms-id`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`paymentTermsId`}),` field represents the identifier of the payment term associated with the booking proposal.`]}),_jsx(_components.p,{children:`It is max 3 characters long. It must includes only numbers.`}),_jsx(_components.p,{children:`If provided, the discount fields are not allowed.`})]}),_jsxs(ResponseField,{name:`totalGrossAmount`,type:`number`,required:true,id:`param-total-gross-amount-2`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`totalGrossAmount`}),` field represents the total gross amount for the entire booking proposal.`]}),_jsxs(_components.p,{children:[`It cannot be zero and must equal the sum of the `,_jsx(_components.code,{children:`totalGrossAmount`}),` of all line items.`]})]}),_jsxs(ResponseField,{name:`vatId`,type:`string`,id:`param-vat-id`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`vatId`}),` field represents the VAT identification number associated with the booking proposal.`]}),_jsxs(_components.p,{children:[`It must match pattern: `,_jsx(_components.code,{children:`^[0-9a-zA-Z\\\\. _]{1,15}$`}),`.`]})]})]})}),_jsx(ResponseField,{name:`bookingType`,type:`BookingType`,required:true,id:`param-booking-type-1`,children:_jsxs(_components.p,{children:[`Available options: `,_jsx(_components.code,{children:`INVOICE`}),`, `,_jsx(_components.code,{children:`BILL`})]})}),_jsxs(ResponseField,{name:`files`,type:`file[]`,id:`param-files-1`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`files`}),` array can be used to attach files to the booking proposal.`]}),_jsx(Note,{children:_jsxs(_components.p,{children:[`The name of the uploaded files must include the file extension, for example `,_jsx(_components.code,{children:`invoice.pdf`}),`.`]})}),_jsx(Note,{children:_jsx(_components.p,{children:`The file name must not exceed 255 characters in length.`})})]}),_jsxs(ResponseField,{name:`folderManagement`,type:`FolderManagement`,id:`param-folder-management`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`folderManagement`}),` object defines the three-level folder structure for a booking proposal. If not provided, the default structure will be used.`]}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`category`,type:`string`,required:true,id:`param-category`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`category`}),` field represents the top-level folder in the folder structure.`]})}),_jsx(ResponseField,{name:`folder`,type:`string`,required:true,id:`param-folder`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`folder`}),` field represents the second-level folder in the folder structure.`]})}),_jsx(ResponseField,{name:`register`,type:`string`,required:true,id:`param-register`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`register`}),` field represents the third-level folder in the folder structure.`]})})]})]})]}),_jsxs(Accordion,{title:`Exact Online`,icon:`https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/exact.svg?fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=afa1af7a261b22f843ac73ee60896ede`,\"data-og-width\":`24`,width:`24`,\"data-og-height\":`24`,height:`24`,\"data-path\":`logo/exact.svg`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/exact.svg?w=280\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=a87c4c0737e96da86ce117b55b2705c2 280w, https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/exact.svg?w=560\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=b292e1d1c49f828f35b4a04cb58cd279 560w, https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/exact.svg?w=840\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=8a4315e486979d708fcf7fd8af577bcb 840w, https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/exact.svg?w=1100\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=8611c789c96011153ce440314b7cdc09 1100w, https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/exact.svg?w=1650\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=23b8d1382f7a2a8ad41e8d3270f168f1 1650w, https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/exact.svg?w=2500\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=8001e53c749fd6c478fa1caa11e1c8ef 2500w`,id:`exact-online`,children:[_jsx(Note,{children:_jsxs(_components.p,{children:[`If you’re not using the `,_jsx(_components.a,{href:`/authentication#interactive-authentication-flow`,children:`Interactive Authentication Flow`}),`, make sure the query parameter `,_jsx(_components.code,{children:`companyId`}),` is correctly populated.\nYou can obtain this value by using the `,_jsx(_components.code,{children:`GET Companies`}),` endpoint available under the Authentication section.`]})}),_jsx(_components.p,{children:`Supported request parameters:`}),_jsx(ResponseField,{name:`bookingProposal`,type:`string`,required:true,id:`param-booking-proposal-2`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`bookingProposalDate`,type:`string`,id:`param-booking-proposal-date-2`,children:_jsx(_components.p,{children:`ISO-8601 date format, e.g., 2024-01-01T00:00:00Z`})}),_jsx(ResponseField,{name:`contactId`,type:`string`,required:true,id:`param-contact-id-1`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`contactId`}),` represents the contact associated with the booking proposal.\nIf the `,_jsx(_components.code,{children:`bookingType`}),` is `,_jsx(_components.code,{children:`BILL`}),`, this must be the id of a supplier.\nIf the booking type is `,_jsx(_components.code,{children:`INVOICE`}),`, this must be the id of a customer.`]})}),_jsx(ResponseField,{name:`currency`,type:`enum`,id:`param-currency-2`,children:_jsxs(_components.p,{children:[`Available options (3-letter ISO 4217):\n`,_jsx(_components.code,{children:`AED`}),`, `,_jsx(_components.code,{children:`AFN`}),`, `,_jsx(_components.code,{children:`ALL`}),`, `,_jsx(_components.code,{children:`AMD`}),`, `,_jsx(_components.code,{children:`ANG`}),`, `,_jsx(_components.code,{children:`AOA`}),`, `,_jsx(_components.code,{children:`ARS`}),`, `,_jsx(_components.code,{children:`AUD`}),`, `,_jsx(_components.code,{children:`AWG`}),`, `,_jsx(_components.code,{children:`AZN`}),`, `,_jsx(_components.code,{children:`BAM`}),`, `,_jsx(_components.code,{children:`BBD`}),`, `,_jsx(_components.code,{children:`BDT`}),`, `,_jsx(_components.code,{children:`BGN`}),`, `,_jsx(_components.code,{children:`BHD`}),`, `,_jsx(_components.code,{children:`BIF`}),`, `,_jsx(_components.code,{children:`BMD`}),`, `,_jsx(_components.code,{children:`BND`}),`, `,_jsx(_components.code,{children:`BOB`}),`, `,_jsx(_components.code,{children:`BRL`}),`, `,_jsx(_components.code,{children:`BSD`}),`, `,_jsx(_components.code,{children:`BTN`}),`, `,_jsx(_components.code,{children:`BWP`}),`, `,_jsx(_components.code,{children:`BYR`}),`, `,_jsx(_components.code,{children:`BZD`}),`, `,_jsx(_components.code,{children:`CAD`}),`, `,_jsx(_components.code,{children:`CDF`}),`, `,_jsx(_components.code,{children:`CHF`}),`, `,_jsx(_components.code,{children:`CLP`}),`, `,_jsx(_components.code,{children:`CNY`}),`, `,_jsx(_components.code,{children:`COP`}),`, `,_jsx(_components.code,{children:`CRC`}),`, `,_jsx(_components.code,{children:`CUC`}),`, `,_jsx(_components.code,{children:`CVE`}),`, `,_jsx(_components.code,{children:`CZK`}),`, `,_jsx(_components.code,{children:`DJF`}),`, `,_jsx(_components.code,{children:`DKK`}),`, `,_jsx(_components.code,{children:`DOP`}),`, `,_jsx(_components.code,{children:`DZD`}),`, `,_jsx(_components.code,{children:`EEK`}),`, `,_jsx(_components.code,{children:`EGP`}),`, `,_jsx(_components.code,{children:`ERN`}),`, `,_jsx(_components.code,{children:`ETB`}),`, `,_jsx(_components.code,{children:`EUR`}),`, `,_jsx(_components.code,{children:`FJD`}),`, `,_jsx(_components.code,{children:`FKP`}),`, `,_jsx(_components.code,{children:`GBP`}),`, `,_jsx(_components.code,{children:`GEL`}),`, `,_jsx(_components.code,{children:`GHS`}),`, `,_jsx(_components.code,{children:`GIP`}),`, `,_jsx(_components.code,{children:`GMD`}),`, `,_jsx(_components.code,{children:`GNF`}),`, `,_jsx(_components.code,{children:`GQE`}),`, `,_jsx(_components.code,{children:`GTQ`}),`, `,_jsx(_components.code,{children:`GYD`}),`, `,_jsx(_components.code,{children:`HKD`}),`, `,_jsx(_components.code,{children:`HNL`}),`, `,_jsx(_components.code,{children:`HRK`}),`, `,_jsx(_components.code,{children:`HTG`}),`, `,_jsx(_components.code,{children:`HUF`}),`, `,_jsx(_components.code,{children:`IDR`}),`, `,_jsx(_components.code,{children:`ILS`}),`, `,_jsx(_components.code,{children:`INR`}),`, `,_jsx(_components.code,{children:`IQD`}),`, `,_jsx(_components.code,{children:`IRR`}),`, `,_jsx(_components.code,{children:`ISK`}),`, `,_jsx(_components.code,{children:`JMD`}),`, `,_jsx(_components.code,{children:`JOD`}),`, `,_jsx(_components.code,{children:`JPY`}),`, `,_jsx(_components.code,{children:`KES`}),`, `,_jsx(_components.code,{children:`KGS`}),`, `,_jsx(_components.code,{children:`KHR`}),`, `,_jsx(_components.code,{children:`KMF`}),`, `,_jsx(_components.code,{children:`KPW`}),`, `,_jsx(_components.code,{children:`KRW`}),`, `,_jsx(_components.code,{children:`KWD`}),`, `,_jsx(_components.code,{children:`KYD`}),`, `,_jsx(_components.code,{children:`KZT`}),`, `,_jsx(_components.code,{children:`LAK`}),`, `,_jsx(_components.code,{children:`LBP`}),`, `,_jsx(_components.code,{children:`LKR`}),`, `,_jsx(_components.code,{children:`LRD`}),`, `,_jsx(_components.code,{children:`LSL`}),`, `,_jsx(_components.code,{children:`LTL`}),`, `,_jsx(_components.code,{children:`LVL`}),`, `,_jsx(_components.code,{children:`LYD`}),`, `,_jsx(_components.code,{children:`MAD`}),`, `,_jsx(_components.code,{children:`MDL`}),`, `,_jsx(_components.code,{children:`MGA`}),`, `,_jsx(_components.code,{children:`MKD`}),`, `,_jsx(_components.code,{children:`MMK`}),`, `,_jsx(_components.code,{children:`MNT`}),`, `,_jsx(_components.code,{children:`MOP`}),`, `,_jsx(_components.code,{children:`MRO`}),`, `,_jsx(_components.code,{children:`MUR`}),`, `,_jsx(_components.code,{children:`MVR`}),`, `,_jsx(_components.code,{children:`MWK`}),`, `,_jsx(_components.code,{children:`MXN`}),`, `,_jsx(_components.code,{children:`MYR`}),`, `,_jsx(_components.code,{children:`MZM`}),`, `,_jsx(_components.code,{children:`NAD`}),`, `,_jsx(_components.code,{children:`NGN`}),`, `,_jsx(_components.code,{children:`NIO`}),`, `,_jsx(_components.code,{children:`NOK`}),`, `,_jsx(_components.code,{children:`NPR`}),`, `,_jsx(_components.code,{children:`NZD`}),`, `,_jsx(_components.code,{children:`OMR`}),`, `,_jsx(_components.code,{children:`PAB`}),`, `,_jsx(_components.code,{children:`PEN`}),`, `,_jsx(_components.code,{children:`PGK`}),`, `,_jsx(_components.code,{children:`PHP`}),`, `,_jsx(_components.code,{children:`PKR`}),`, `,_jsx(_components.code,{children:`PLN`}),`, `,_jsx(_components.code,{children:`PYG`}),`, `,_jsx(_components.code,{children:`QAR`}),`, `,_jsx(_components.code,{children:`RON`}),`, `,_jsx(_components.code,{children:`RSD`}),`, `,_jsx(_components.code,{children:`RUB`}),`, `,_jsx(_components.code,{children:`SAR`}),`, `,_jsx(_components.code,{children:`SBD`}),`, `,_jsx(_components.code,{children:`SCR`}),`, `,_jsx(_components.code,{children:`SDG`}),`, `,_jsx(_components.code,{children:`SEK`}),`, `,_jsx(_components.code,{children:`SGD`}),`, `,_jsx(_components.code,{children:`SHP`}),`, `,_jsx(_components.code,{children:`SLL`}),`, `,_jsx(_components.code,{children:`SOS`}),`, `,_jsx(_components.code,{children:`SRD`}),`, `,_jsx(_components.code,{children:`SYP`}),`, `,_jsx(_components.code,{children:`SZL`}),`, `,_jsx(_components.code,{children:`THB`}),`, `,_jsx(_components.code,{children:`TJS`}),`, `,_jsx(_components.code,{children:`TMT`}),`, `,_jsx(_components.code,{children:`TND`}),`, `,_jsx(_components.code,{children:`TRY`}),`, `,_jsx(_components.code,{children:`TTD`}),`, `,_jsx(_components.code,{children:`TWD`}),`, `,_jsx(_components.code,{children:`TZS`}),`, `,_jsx(_components.code,{children:`UAH`}),`, `,_jsx(_components.code,{children:`UGX`}),`, `,_jsx(_components.code,{children:`USD`}),`, `,_jsx(_components.code,{children:`UYU`}),`, `,_jsx(_components.code,{children:`UZS`}),`, `,_jsx(_components.code,{children:`VEB`}),`, `,_jsx(_components.code,{children:`VND`}),`, `,_jsx(_components.code,{children:`VUV`}),`, `,_jsx(_components.code,{children:`WST`}),`, `,_jsx(_components.code,{children:`XAF`}),`, `,_jsx(_components.code,{children:`XCD`}),`, `,_jsx(_components.code,{children:`XDR`}),`, `,_jsx(_components.code,{children:`XOF`}),`, `,_jsx(_components.code,{children:`XPF`}),`, `,_jsx(_components.code,{children:`YER`}),`, `,_jsx(_components.code,{children:`ZAR`}),`, `,_jsx(_components.code,{children:`ZMK`}),`, `,_jsx(_components.code,{children:`ZWR`})]})}),_jsx(ResponseField,{name:`dueDate `,type:`string`,id:`param-due-date-2`,children:_jsx(_components.p,{children:`ISO-8601 date format, e.g., 2024-01-01T00:00:00Z`})}),_jsx(ResponseField,{name:`journalCode`,type:`string`,required:true,id:`param-journal-code`}),_jsx(ResponseField,{name:`lineItems`,type:`BookingLineItem[]`,required:true,id:`param-line-items-2`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`accountId`,type:`string`,required:true,id:`param-account-id-1`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`accountId`}),` field specifies the id of the general ledger account linked to the individual line item within the booking proposal.`]})}),_jsx(ResponseField,{name:`description`,type:`string`,id:`param-description-2`}),_jsx(ResponseField,{name:`dimension1`,type:`string`,id:`param-dimension1-1`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`dimension1`}),` field represents the `,_jsx(_components.code,{children:`name`}),` of `,_jsx(_components.code,{children:`CostCenter`}),` category.`]})}),_jsx(ResponseField,{name:`dimension2`,type:`string`,id:`param-dimension2-1`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`dimension2`}),` field represents the `,_jsx(_components.code,{children:`name`}),` of `,_jsx(_components.code,{children:`CostUnit`}),` category.`]})}),_jsx(ResponseField,{name:`taxCode`,type:`string`,id:`param-tax-code-1`}),_jsx(Note,{children:_jsxs(_components.p,{children:[`If the `,_jsx(_components.code,{children:`taxCode`}),` is not provided, it will be set to the default tax code for the account.`]})}),_jsx(ResponseField,{name:`taxRatePercentage`,type:`number`,id:`param-tax-rate-percentage-1`}),_jsx(ResponseField,{name:`totalNetAmount`,type:`number`,id:`param-total-net-amount`}),_jsx(Note,{children:_jsxs(_components.p,{children:[`If the `,_jsx(_components.code,{children:`taxCode`}),` is provided and is of type INCLUSIVE, the `,_jsx(_components.code,{children:`totalNetAmount`}),` will be treated as a gross amount (i.e., including tax).`]})})]})}),_jsx(ResponseField,{name:`notes`,type:`string`,id:`param-notes-1`}),_jsxs(ResponseField,{name:`paymentTermsId`,type:`string`,id:`param-payment-terms-id-1`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`paymentTermsId`}),` field represents the `,_jsx(_components.code,{children:`code`}),` of the payment term associated with the booking proposal.`]}),_jsxs(_components.p,{children:[`To get the correct `,_jsx(_components.code,{children:`code`}),`, you can use the `,_jsx(_components.code,{children:`GET PaymentTerms`}),` endpoint.`]})]})]})}),_jsx(ResponseField,{name:`bookingType`,type:`BookingType`,required:true,id:`param-booking-type-2`,children:_jsxs(_components.p,{children:[`Available options: `,_jsx(_components.code,{children:`INVOICE`}),`, `,_jsx(_components.code,{children:`BILL`}),`, `,_jsx(_components.code,{children:`INVOICE_CREDIT_NOTE`})]})}),_jsx(ResponseField,{name:`files`,type:`file[]`,id:`param-files-2`,children:_jsx(Note,{children:_jsx(_components.p,{children:`The file name must not exceed 255 characters in length.`})})})]}),_jsxs(Accordion,{title:`Lexware Office`,icon:`https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=efe4da1d7b59a552d1938ec981ccbc1e`,\"data-og-width\":`24`,width:`24`,\"data-og-height\":`24`,height:`24`,\"data-path\":`logo/lexoffice.svg`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?w=280\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=1b72129772805128f23630a57d03c85f 280w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?w=560\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=514f7cab389f8f0f3c319e6e3906d75e 560w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?w=840\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=51da80b435c10fc0bea51344bb1bde32 840w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?w=1100\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=e172ae5a9f402603c3c8582671ab1ad3 1100w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?w=1650\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=ea1032cc40caf58e1d6a2c206abf2ac0 1650w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?w=2500\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=f0dbdd906bd9d14e026668edbeae01b6 2500w`,id:`lexware-office`,children:[_jsx(_components.p,{children:`Supported request parameters:`}),_jsx(ResponseField,{name:`bookingProposal`,type:`string`,required:true,id:`param-booking-proposal-3`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`bookingProposalDate `,type:`string`,id:`param-booking-proposal-date-3`,children:_jsx(_components.p,{children:`ISO-8601 date format, e.g., 2024-01-01T00:00:00Z`})}),_jsx(ResponseField,{name:`contactId`,type:`string`,id:`param-contact-id-2`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`contactId`}),` field represents the id of the contact associated with the booking proposal.\nRequired when `,_jsx(_components.code,{children:`useCollectiveContact`}),` flag is set to false.`]})}),_jsx(ResponseField,{name:`deliveryDate `,type:`string`,id:`param-delivery-date-1`,children:_jsx(_components.p,{children:`ISO-8601 date format, e.g., 2024-01-01T00:00:00Z`})}),_jsx(Note,{children:_jsx(_components.p,{children:`It is only supported for booking proposals of type INVOICE and INVOICE_CREDIT_NOTE.`})}),_jsx(ResponseField,{name:`dueDate `,type:`string`,id:`param-due-date-3`,children:_jsx(_components.p,{children:`ISO-8601 date format, e.g., 2024-01-01T00:00:00Z`})}),_jsx(ResponseField,{name:`lineItems`,type:`BookingLineItem[]`,required:true,id:`param-line-items-3`,children:_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`accountId`,type:`string`,required:true,id:`param-account-id-2`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`accountId`}),` field specifies the id of the posting category in Lexware that represents the general ledger account linked to the individual line item within the booking proposal.`]}),_jsxs(_components.p,{children:[`To get the correct `,_jsx(_components.code,{children:`accountId`}),`, you can use the `,_jsx(_components.code,{children:`GET Accounts`}),` endpoint.`]})]}),_jsx(ResponseField,{name:`taxRatePercentage `,type:`number`,required:true,id:`param-tax-rate-percentage-2`}),_jsx(ResponseField,{name:`totalGrossAmount`,type:`number`,required:true,id:`param-total-gross-amount-3`})]})}),_jsx(ResponseField,{name:`notes`,type:`string`,id:`param-notes-2`}),_jsx(ResponseField,{name:`number`,type:`string`,id:`param-number-2`,children:_jsx(_components.p,{children:`Required if no file is uploaded, or if the uploaded file does not contain a readable document number.`})}),_jsx(ResponseField,{name:`totalGrossAmount`,type:`number`,id:`param-total-gross-amount-4`}),_jsx(ResponseField,{name:`useCollectiveContact`,type:`boolean`,id:`param-use-collective-contact`,children:_jsxs(_components.p,{children:[`If set to true, `,_jsx(_components.code,{children:`contactId`}),` will be ignored.`]})})]})}),_jsx(ResponseField,{name:`bookingType`,type:`BookingType`,required:true,id:`param-booking-type-3`,children:_jsxs(_components.p,{children:[`Available options: `,_jsx(_components.code,{children:`BILL`}),`, `,_jsx(_components.code,{children:`INVOICE`}),`, `,_jsx(_components.code,{children:`INVOICE_CREDIT_NOTE`}),`, `,_jsx(_components.code,{children:`BILL_CREDIT_NOTE`})]})}),_jsx(ResponseField,{name:`files`,type:`file[]`,id:`param-files-3`,children:_jsx(Note,{children:_jsx(_components.p,{children:`The file name must not exceed 255 characters in length.`})})}),_jsx(_components.p,{children:_jsx(_components.strong,{children:`Partial Errors`})}),_jsxs(_components.p,{children:[`This integration may return `,_jsx(_components.a,{href:`/guides/partial-errors`,children:`partial errors`}),`:`]}),_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{style:{textAlign:`left`},children:`Code`}),_jsx(_components.th,{style:{textAlign:`left`},children:`Recovery`})]})}),_jsx(_components.tbody,{children:_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`INCOMPLETE_CREATION`})}),_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.a,{href:`/api-reference/accounting-endpoints/bookingproposals/update-booking-proposal`,children:`PUT /bookingProposals/{id}`})})]})})]})]}),_jsxs(Accordion,{title:`Moneybird`,icon:`https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/moneybird.svg?fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=4cf7d956fec579e320389df5b2a6c828`,\"data-og-width\":`24`,width:`24`,\"data-og-height\":`24`,height:`24`,\"data-path\":`logo/moneybird.svg`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/moneybird.svg?w=280\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=97c96189c9185f4f0c1f6e89300f552e 280w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/moneybird.svg?w=560\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=0a62088d6d7572157ccef49fc32f4b3f 560w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/moneybird.svg?w=840\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=e99a8942d3842be954827e39fda70cc0 840w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/moneybird.svg?w=1100\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=c0689b94348fc2cfe5039e071997402b 1100w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/moneybird.svg?w=1650\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=6f60306875757b0b33d8dc6cf1ad45f1 1650w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/moneybird.svg?w=2500\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=f2f63448b82f918372ba75eb6d130722 2500w`,id:`moneybird`,children:[_jsx(Note,{children:_jsxs(_components.p,{children:[`If you’re not using the `,_jsx(_components.a,{href:`/authentication#interactive-authentication-flow`,children:`Interactive Authentication Flow`}),`, make sure the query parameter `,_jsx(_components.code,{children:`companyId`}),` is correctly populated.\nYou can obtain this value by using the `,_jsx(_components.code,{children:`GET Companies`}),` endpoint available under the Authentication section.`]})}),_jsx(_components.p,{children:`Supported request parameters:`}),_jsx(ResponseField,{name:`bookingProposal`,type:`string`,required:true,id:`param-booking-proposal-4`,children:_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`bookingProposalDate `,type:`string`,id:`param-booking-proposal-date-4`,children:[_jsx(_components.p,{children:`ISO-8601 date format, e.g., 2024-01-01T00:00:00Z`}),_jsx(Note,{children:_jsx(_components.p,{children:`It is required for booking proposals of type BILL.`})})]}),_jsx(ResponseField,{name:`contactId`,type:`string`,required:true,id:`param-contact-id-3`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`contactId`}),` field represents the id of the contact associated with the booking proposal.`]})}),_jsxs(ResponseField,{name:`dueDate `,type:`string`,id:`param-due-date-4`,children:[_jsx(_components.p,{children:`ISO-8601 date format, e.g., 2024-01-01T00:00:00Z`}),_jsx(Note,{children:_jsx(_components.p,{children:`It is only supported for booking proposals of type BILL.`})})]}),_jsx(ResponseField,{name:`lineItems`,type:`BookingLineItem[]`,required:true,id:`param-line-items-4`,children:_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`accountId`,type:`string`,id:`param-account-id-3`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`accountId`}),` field specifies the id of ledger account linked to the individual line item within the booking proposal.`]}),_jsxs(_components.p,{children:[`To get the correct `,_jsx(_components.code,{children:`accountId`}),`, you can use the `,_jsx(_components.code,{children:`GET Accounts`}),` endpoint.`]})]}),_jsx(ResponseField,{name:`description`,type:`string`,id:`param-description-3`}),_jsxs(ResponseField,{name:`taxCode`,type:`string`,id:`param-tax-code-2`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`taxCode`}),` field represents the tax code associated with the line item.`]}),_jsxs(_components.p,{children:[`To get the correct code, you can use the `,_jsx(_components.code,{children:`GET TaxRates`}),` endpoint.`]}),_jsx(Note,{children:_jsx(_components.p,{children:`It is required for booking proposals of type BILL.`})})]}),_jsx(ResponseField,{name:`totalGrossAmount`,type:`number`,id:`param-total-gross-amount-5`})]})}),_jsxs(ResponseField,{name:`number`,type:`string`,id:`param-number-3`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`number`}),` field represents the reference number of the booking proposal.`]}),_jsx(Note,{children:_jsx(_components.p,{children:`It is required for booking proposals of type BILL.`})})]}),_jsxs(ResponseField,{name:`paymentTermsId`,type:`string`,id:`param-payment-terms-id-2`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`paymentTermsId`}),` field represents the reference or description of the payment term associated with the booking proposal.`]}),_jsx(Note,{children:_jsx(_components.p,{children:`It is only supported for booking proposals of type INVOICE`})})]})]})}),_jsx(ResponseField,{name:`bookingType`,type:`BookingType`,required:true,id:`param-booking-type-4`,children:_jsxs(_components.p,{children:[`Available options: `,_jsx(_components.code,{children:`BILL`}),`, `,_jsx(_components.code,{children:`INVOICE`})]})}),_jsx(ResponseField,{name:`files`,type:`file[]`,id:`param-files-4`,children:_jsx(Note,{children:_jsx(_components.p,{children:`The file name must not exceed 255 characters in length.`})})})]}),_jsxs(Accordion,{title:`Procountor`,icon:`https://mintcdn.com/maesn/HTRn5skspTPqFN8X/logo/procountor.svg?fit=max\u0026auto=format\u0026n=HTRn5skspTPqFN8X\u0026q=85\u0026s=2399887f31b698590774969aa7581f9a`,\"data-og-width\":`720`,width:`720`,\"data-og-height\":`410`,height:`410`,\"data-path\":`logo/procountor.svg`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/maesn/HTRn5skspTPqFN8X/logo/procountor.svg?w=280\u0026fit=max\u0026auto=format\u0026n=HTRn5skspTPqFN8X\u0026q=85\u0026s=6a173eaa40001f9fb610e293e1eaba74 280w, https://mintcdn.com/maesn/HTRn5skspTPqFN8X/logo/procountor.svg?w=560\u0026fit=max\u0026auto=format\u0026n=HTRn5skspTPqFN8X\u0026q=85\u0026s=65c5291855d0d9a75cd625104673c3af 560w, https://mintcdn.com/maesn/HTRn5skspTPqFN8X/logo/procountor.svg?w=840\u0026fit=max\u0026auto=format\u0026n=HTRn5skspTPqFN8X\u0026q=85\u0026s=d777f44c76b13c1824b2d66db011c0de 840w, https://mintcdn.com/maesn/HTRn5skspTPqFN8X/logo/procountor.svg?w=1100\u0026fit=max\u0026auto=format\u0026n=HTRn5skspTPqFN8X\u0026q=85\u0026s=9c3d48b0c4642f34cea6868ad3c57a54 1100w, https://mintcdn.com/maesn/HTRn5skspTPqFN8X/logo/procountor.svg?w=1650\u0026fit=max\u0026auto=format\u0026n=HTRn5skspTPqFN8X\u0026q=85\u0026s=e9ccd4309996446e9d5b01ecc31b1612 1650w, https://mintcdn.com/maesn/HTRn5skspTPqFN8X/logo/procountor.svg?w=2500\u0026fit=max\u0026auto=format\u0026n=HTRn5skspTPqFN8X\u0026q=85\u0026s=ac82aaa3a3f24f27f4f4260595c26bed 2500w`,id:`procountor`,children:[_jsx(_components.p,{children:`Supported request parameters:`}),_jsx(ResponseField,{name:`bookingProposal`,type:`string`,required:true,id:`param-booking-proposal-5`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`bookingProposalDate `,type:`string`,required:true,id:`param-booking-proposal-date-5`,children:_jsxs(_components.p,{children:[`For date format details visit the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsxs(ResponseField,{name:`contactAccountNumber`,type:`number`,id:`param-contact-account-number-2`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`contactAccountNumber`}),` field represents the account number of the contact associated with the booking proposal.`]}),_jsxs(_components.p,{children:[`It must be a valid number. It is the customer account number for `,_jsx(_components.code,{children:`INVOICE`}),` or the vendor account number for `,_jsx(_components.code,{children:`BILL`}),`.`]})]}),_jsx(ResponseField,{name:`lineItems`,type:`BookingLineItem[]`,required:true,id:`param-line-items-5`,children:_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`accountCode`,type:`string`,required:true,id:`param-account-code`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`accountCode`}),` field specifies the code of the GL account linked to the individual line item within the booking proposal.`]}),_jsxs(_components.p,{children:[`To get the correct `,_jsx(_components.code,{children:`accountCode`}),`, you can use the `,_jsx(_components.code,{children:`GET Accounts`}),` endpoint.`]})]}),_jsx(ResponseField,{name:`description`,type:`string`,id:`param-description-4`}),_jsx(ResponseField,{name:`taxCode`,type:`string`,required:true,id:`param-tax-code-3`}),_jsx(ResponseField,{name:`taxRatePercentage`,type:`number`,required:true,id:`param-tax-rate-percentage-3`}),_jsx(ResponseField,{name:`totalNetAmount`,type:`number`,required:true,id:`param-total-net-amount-1`})]})}),_jsx(ResponseField,{name:`notes`,type:`string`,required:true,id:`param-notes-3`})]})}),_jsx(ResponseField,{name:`bookingType`,type:`BookingType`,required:true,id:`param-booking-type-5`,children:_jsxs(_components.p,{children:[`Available options: `,_jsx(_components.code,{children:`BILL`}),`, `,_jsx(_components.code,{children:`INVOICE`})]})}),_jsx(ResponseField,{name:`files`,type:`file[]`,id:`param-files-5`,children:_jsx(Note,{children:_jsx(_components.p,{children:`Each file size must not exceed 10 MB.`})})}),_jsx(_components.p,{children:_jsx(_components.strong,{children:`Partial Errors`})}),_jsxs(_components.p,{children:[`This integration may return `,_jsx(_components.a,{href:`/guides/partial-errors`,children:`partial errors`}),`:`]}),_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{style:{textAlign:`left`},children:`Code`}),_jsx(_components.th,{style:{textAlign:`left`},children:`Recovery`})]})}),_jsx(_components.tbody,{children:_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`FILE_UPLOAD_FAILED`})}),_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.a,{href:`/api-reference/accounting-endpoints/bookingproposals/attachments/create-booking-proposal-attachment`,children:`POST /bookingProposals/{id}/attachments`})})]})})]})]}),_jsxs(Accordion,{title:`Sage Accounting`,icon:`https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sageactive.svg?fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=db4ef71b40820611bd17295476ff28f9`,\"data-og-width\":`24`,width:`24`,\"data-og-height\":`24`,height:`24`,\"data-path\":`logo/sageactive.svg`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sageactive.svg?w=280\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=63ac8ed7d6f02de13bd4fe3d022f5f86 280w, https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sageactive.svg?w=560\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=1d0e89e187ef17e8befb5b8ded3b6533 560w, https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sageactive.svg?w=840\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=bdf03484e8299d816898a15cd6116c97 840w, https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sageactive.svg?w=1100\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=9845399243ee7692b37963be74a16f74 1100w, https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sageactive.svg?w=1650\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=e3eb5a4f1659856bf46bffc3b564b0d0 1650w, https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sageactive.svg?w=2500\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=a4710fce6312fdd030aa1a89eea2d264 2500w`,id:`sage-accounting`,children:[_jsx(Note,{children:_jsxs(_components.p,{children:[`This endpoint is available only for the following countries:\nAccounting Plus: Canada, United Kingdom, Ireland `,_jsx(`br`,{}),`\nAccounting Standard: United Kingdom, Ireland `,_jsx(`br`,{}),`\nAccounting Start: Canada, United Kingdom, Ireland`]})}),_jsx(Note,{children:_jsxs(_components.p,{children:[`When handling a new connection in your integration, it is advisable to first determine which subscription your customer is using to ensure compatibility. To do this, you can use the `,_jsx(_components.code,{children:`GET Companies`}),` call to retrieve all businesses available for the user. The user will then select one of these businesses.\nIt is also a good practice to verify that the active property of the selected business is set to true before proceeding with the integration setup.`]})}),_jsx(_components.p,{children:`Supported request parameters:`}),_jsx(ResponseField,{name:`bookingProposal`,type:`string`,required:true,id:`param-booking-proposal-6`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`bookingProposalDate `,type:`string`,required:true,id:`param-booking-proposal-date-6`,children:_jsx(_components.p,{children:`ISO-8601 date format, e.g., 2024-01-01T00:00:00Z`})}),_jsx(ResponseField,{name:`contactId`,type:`string`,required:true,id:`param-contact-id-4`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`contactId`}),` field represents the id of the contact associated with the booking proposal.`]})}),_jsxs(ResponseField,{name:`dueDate `,type:`string`,id:`param-due-date-5`,children:[_jsx(_components.p,{children:`ISO-8601 date format, e.g., 2024-01-01T00:00:00Z`}),_jsx(Note,{children:_jsx(_components.p,{children:`It is only supported higher subscription levels (Accounting Plus and Accounting Standard).`})})]}),_jsx(ResponseField,{name:`lineItems`,type:`BookingLineItem[]`,required:true,id:`param-line-items-6`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`accountId`,type:`number`,required:true,id:`param-account-id-4`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`accountId`}),` field specifies the general ledger account linked to the individual line item within the invoice or bill.`]})}),_jsx(ResponseField,{name:`description`,type:`string`,required:true,id:`param-description-5`}),_jsx(ResponseField,{name:`taxCode`,type:`string`,required:true,id:`param-tax-code-4`}),_jsx(ResponseField,{name:`totalGrossAmount`,type:`number`,required:true,id:`param-total-gross-amount-6`}),_jsx(ResponseField,{name:`type`,type:`enum`,required:true,id:`param-type`,children:_jsxs(_components.p,{children:[`Available options: `,_jsx(_components.code,{children:`GOODS`}),`, `,_jsx(_components.code,{children:`SERVICES`})]})})]})}),_jsx(ResponseField,{name:`notes`,type:`string`,id:`param-notes-4`}),_jsx(ResponseField,{name:`number`,type:`string`,id:`param-number-4`}),_jsx(ResponseField,{name:`paymentTermsId`,type:`string`,id:`param-payment-terms-id-3`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`paymentTermsId`}),` field represents the reference or description of the payment term associated with the booking proposal.`]})})]})}),_jsx(ResponseField,{name:`bookingType`,type:`BookingType`,required:true,id:`param-booking-type-6`,children:_jsxs(_components.p,{children:[`Available options: `,_jsx(_components.code,{children:`INVOICE`})]})})]}),_jsxs(Accordion,{title:`sevdesk`,icon:`https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=2b266052b2531cf2995f78c2aecf6019`,\"data-og-width\":`24`,width:`24`,\"data-og-height\":`24`,height:`24`,\"data-path\":`logo/sevdesk.svg`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?w=280\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=3e55e4f5c13d17fc5e9a97826f7d8932 280w, https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?w=560\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=01f86f6355bdc9fff14d05a9a701efff 560w, https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?w=840\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=be9956e6e7b89fa9f14ec2b36a5d9308 840w, https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?w=1100\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=c421ec36b9809e6186ca313af5a23027 1100w, https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?w=1650\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=2f5d5b2e5837e360837439b1e43afa9c 1650w, https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?w=2500\u0026fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=b61d762cd0d3e7fa2a3488d9f75091c7 2500w`,id:`sevdesk`,children:[_jsx(_components.p,{children:`Supported request parameters:`}),_jsx(ResponseField,{name:`bookingProposal`,type:`string`,required:true,id:`param-booking-proposal-7`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`bookingProposalDate`,type:`string`,id:`param-booking-proposal-date-7`,children:_jsxs(_components.p,{children:[`For date format details visit the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsx(ResponseField,{name:`contactId`,type:`string`,id:`param-contact-id-5`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`contactId`}),` field represents the id of the contact associated with the booking proposal.`]})}),_jsx(ResponseField,{name:`contactName`,type:`string`,id:`param-contact-name-1`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`contactName`}),` field represents the name of the contact associated with the booking proposal.\nUsed when no `,_jsx(_components.code,{children:`contactId`}),` is provided.`]})}),_jsx(ResponseField,{name:`currency`,type:`enum`,id:`param-currency-3`,children:_jsxs(_components.p,{children:[`Available options (3-letter ISO 4217):\n`,_jsx(_components.code,{children:`AED`}),`, `,_jsx(_components.code,{children:`AFN`}),`, `,_jsx(_components.code,{children:`ALL`}),`, `,_jsx(_components.code,{children:`AMD`}),`, `,_jsx(_components.code,{children:`ANG`}),`, `,_jsx(_components.code,{children:`AOA`}),`, `,_jsx(_components.code,{children:`ARS`}),`, `,_jsx(_components.code,{children:`AUD`}),`, `,_jsx(_components.code,{children:`AWG`}),`, `,_jsx(_components.code,{children:`AZN`}),`, `,_jsx(_components.code,{children:`BAM`}),`, `,_jsx(_components.code,{children:`BBD`}),`, `,_jsx(_components.code,{children:`BDT`}),`, `,_jsx(_components.code,{children:`BGN`}),`, `,_jsx(_components.code,{children:`BHD`}),`, `,_jsx(_components.code,{children:`BIF`}),`, `,_jsx(_components.code,{children:`BMD`}),`, `,_jsx(_components.code,{children:`BND`}),`, `,_jsx(_components.code,{children:`BOB`}),`, `,_jsx(_components.code,{children:`BRL`}),`, `,_jsx(_components.code,{children:`BSD`}),`, `,_jsx(_components.code,{children:`BTN`}),`, `,_jsx(_components.code,{children:`BWP`}),`, `,_jsx(_components.code,{children:`BYR`}),`, `,_jsx(_components.code,{children:`BZD`}),`, `,_jsx(_components.code,{children:`CAD`}),`, `,_jsx(_components.code,{children:`CDF`}),`, `,_jsx(_components.code,{children:`CHF`}),`, `,_jsx(_components.code,{children:`CLP`}),`, `,_jsx(_components.code,{children:`CNY`}),`, `,_jsx(_components.code,{children:`COP`}),`, `,_jsx(_components.code,{children:`CRC`}),`, `,_jsx(_components.code,{children:`CUC`}),`, `,_jsx(_components.code,{children:`CVE`}),`, `,_jsx(_components.code,{children:`CZK`}),`, `,_jsx(_components.code,{children:`DJF`}),`, `,_jsx(_components.code,{children:`DKK`}),`, `,_jsx(_components.code,{children:`DOP`}),`, `,_jsx(_components.code,{children:`DZD`}),`, `,_jsx(_components.code,{children:`EEK`}),`, `,_jsx(_components.code,{children:`EGP`}),`, `,_jsx(_components.code,{children:`ERN`}),`, `,_jsx(_components.code,{children:`ETB`}),`, `,_jsx(_components.code,{children:`EUR`}),`, `,_jsx(_components.code,{children:`FJD`}),`, `,_jsx(_components.code,{children:`FKP`}),`, `,_jsx(_components.code,{children:`GBP`}),`, `,_jsx(_components.code,{children:`GEL`}),`, `,_jsx(_components.code,{children:`GHS`}),`, `,_jsx(_components.code,{children:`GIP`}),`, `,_jsx(_components.code,{children:`GMD`}),`, `,_jsx(_components.code,{children:`GNF`}),`, `,_jsx(_components.code,{children:`GQE`}),`, `,_jsx(_components.code,{children:`GTQ`}),`, `,_jsx(_components.code,{children:`GYD`}),`, `,_jsx(_components.code,{children:`HKD`}),`, `,_jsx(_components.code,{children:`HNL`}),`, `,_jsx(_components.code,{children:`HRK`}),`, `,_jsx(_components.code,{children:`HTG`}),`, `,_jsx(_components.code,{children:`HUF`}),`, `,_jsx(_components.code,{children:`IDR`}),`, `,_jsx(_components.code,{children:`ILS`}),`, `,_jsx(_components.code,{children:`INR`}),`, `,_jsx(_components.code,{children:`IQD`}),`, `,_jsx(_components.code,{children:`IRR`}),`, `,_jsx(_components.code,{children:`ISK`}),`, `,_jsx(_components.code,{children:`JMD`}),`, `,_jsx(_components.code,{children:`JOD`}),`, `,_jsx(_components.code,{children:`JPY`}),`, `,_jsx(_components.code,{children:`KES`}),`, `,_jsx(_components.code,{children:`KGS`}),`, `,_jsx(_components.code,{children:`KHR`}),`, `,_jsx(_components.code,{children:`KMF`}),`, `,_jsx(_components.code,{children:`KPW`}),`, `,_jsx(_components.code,{children:`KRW`}),`, `,_jsx(_components.code,{children:`KWD`}),`, `,_jsx(_components.code,{children:`KYD`}),`, `,_jsx(_components.code,{children:`KZT`}),`, `,_jsx(_components.code,{children:`LAK`}),`, `,_jsx(_components.code,{children:`LBP`}),`, `,_jsx(_components.code,{children:`LKR`}),`, `,_jsx(_components.code,{children:`LRD`}),`, `,_jsx(_components.code,{children:`LSL`}),`, `,_jsx(_components.code,{children:`LTL`}),`, `,_jsx(_components.code,{children:`LVL`}),`, `,_jsx(_components.code,{children:`LYD`}),`, `,_jsx(_components.code,{children:`MAD`}),`, `,_jsx(_components.code,{children:`MDL`}),`, `,_jsx(_components.code,{children:`MGA`}),`, `,_jsx(_components.code,{children:`MKD`}),`, `,_jsx(_components.code,{children:`MMK`}),`, `,_jsx(_components.code,{children:`MNT`}),`, `,_jsx(_components.code,{children:`MOP`}),`, `,_jsx(_components.code,{children:`MRO`}),`, `,_jsx(_components.code,{children:`MUR`}),`, `,_jsx(_components.code,{children:`MVR`}),`, `,_jsx(_components.code,{children:`MWK`}),`, `,_jsx(_components.code,{children:`MXN`}),`, `,_jsx(_components.code,{children:`MYR`}),`, `,_jsx(_components.code,{children:`MZM`}),`, `,_jsx(_components.code,{children:`NAD`}),`, `,_jsx(_components.code,{children:`NGN`}),`, `,_jsx(_components.code,{children:`NIO`}),`, `,_jsx(_components.code,{children:`NOK`}),`, `,_jsx(_components.code,{children:`NPR`}),`, `,_jsx(_components.code,{children:`NZD`}),`, `,_jsx(_components.code,{children:`OMR`}),`, `,_jsx(_components.code,{children:`PAB`}),`, `,_jsx(_components.code,{children:`PEN`}),`, `,_jsx(_components.code,{children:`PGK`}),`, `,_jsx(_components.code,{children:`PHP`}),`, `,_jsx(_components.code,{children:`PKR`}),`, `,_jsx(_components.code,{children:`PLN`}),`, `,_jsx(_components.code,{children:`PYG`}),`, `,_jsx(_components.code,{children:`QAR`}),`, `,_jsx(_components.code,{children:`RON`}),`, `,_jsx(_components.code,{children:`RSD`}),`, `,_jsx(_components.code,{children:`RUB`}),`, `,_jsx(_components.code,{children:`SAR`}),`, `,_jsx(_components.code,{children:`SBD`}),`, `,_jsx(_components.code,{children:`SCR`}),`, `,_jsx(_components.code,{children:`SDG`}),`, `,_jsx(_components.code,{children:`SEK`}),`, `,_jsx(_components.code,{children:`SGD`}),`, `,_jsx(_components.code,{children:`SHP`}),`, `,_jsx(_components.code,{children:`SLL`}),`, `,_jsx(_components.code,{children:`SOS`}),`, `,_jsx(_components.code,{children:`SRD`}),`, `,_jsx(_components.code,{children:`SYP`}),`, `,_jsx(_components.code,{children:`SZL`}),`, `,_jsx(_components.code,{children:`THB`}),`, `,_jsx(_components.code,{children:`TJS`}),`, `,_jsx(_components.code,{children:`TMT`}),`, `,_jsx(_components.code,{children:`TND`}),`, `,_jsx(_components.code,{children:`TRY`}),`, `,_jsx(_components.code,{children:`TTD`}),`, `,_jsx(_components.code,{children:`TWD`}),`, `,_jsx(_components.code,{children:`TZS`}),`, `,_jsx(_components.code,{children:`UAH`}),`, `,_jsx(_components.code,{children:`UGX`}),`, `,_jsx(_components.code,{children:`USD`}),`, `,_jsx(_components.code,{children:`UYU`}),`, `,_jsx(_components.code,{children:`UZS`}),`, `,_jsx(_components.code,{children:`VEB`}),`, `,_jsx(_components.code,{children:`VND`}),`, `,_jsx(_components.code,{children:`VUV`}),`, `,_jsx(_components.code,{children:`WST`}),`, `,_jsx(_components.code,{children:`XAF`}),`, `,_jsx(_components.code,{children:`XCD`}),`, `,_jsx(_components.code,{children:`XDR`}),`, `,_jsx(_components.code,{children:`XOF`}),`, `,_jsx(_components.code,{children:`XPF`}),`, `,_jsx(_components.code,{children:`YER`}),`, `,_jsx(_components.code,{children:`ZAR`}),`, `,_jsx(_components.code,{children:`ZMK`}),`, `,_jsx(_components.code,{children:`ZWR`})]})}),_jsx(ResponseField,{name:`deliveryDate `,type:`string`,id:`param-delivery-date-2`,children:_jsxs(_components.p,{children:[`For date format details visit the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsx(ResponseField,{name:`dueDate `,type:`string`,id:`param-due-date-6`,children:_jsxs(_components.p,{children:[`For date format details visit the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsx(ResponseField,{name:`lineItems`,type:`BookingLineItem[]`,required:true,id:`param-line-items-7`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`accountNumber`,type:`number`,required:true,id:`param-account-number-1`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`accountNumber`}),` field specifies the general ledger account linked to the individual line item within the invoice or bill.`]})}),_jsx(ResponseField,{name:`taxRatePercentage `,type:`number`,required:true,id:`param-tax-rate-percentage-4`}),_jsx(ResponseField,{name:`totalGrossAmount`,type:`number`,required:true,id:`param-total-gross-amount-7`,children:_jsxs(_components.p,{children:[`Either the `,_jsx(_components.code,{children:`totalGrossAmount`}),` or `,_jsx(_components.code,{children:`totalNetAmount`}),` field must be provided.`]})}),_jsx(ResponseField,{name:`totalNetAmount`,type:`number`,required:true,id:`param-total-net-amount-2`,children:_jsxs(_components.p,{children:[`Either the `,_jsx(_components.code,{children:`totalGrossAmount`}),` or `,_jsx(_components.code,{children:`totalNetAmount`}),` field must be provided.`]})})]})}),_jsxs(ResponseField,{name:`notes`,type:`string`,deprecated:true,id:`param-notes-5`,children:[_jsxs(_components.p,{children:[`Deprecated. Use `,_jsx(_components.code,{children:`number`}),` instead.`]}),_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`notes`}),` field is mapped to the document number in sevdesk. It is still accepted for backwards compatibility and takes precedence when both `,_jsx(_components.code,{children:`notes`}),` and `,_jsx(_components.code,{children:`number`}),` are provided.`]})]}),_jsxs(ResponseField,{name:`number`,type:`string`,id:`param-number-5`,children:[_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`number`}),` field represents the document number of the booking proposal.`]}),_jsxs(_components.p,{children:[`It is applied when `,_jsx(_components.code,{children:`notes`}),` is not provided.`]})]}),_jsx(ResponseField,{name:`paidDate`,type:`string`,id:`param-paid-date-1`,children:_jsxs(_components.p,{children:[`For date format details visit the `,_jsx(_components.a,{href:`/standardization`,children:_jsx(_components.code,{children:`Standardized Data`})}),` section.`]})}),_jsx(ResponseField,{name:`status`,type:`enum`,id:`param-status`,children:_jsxs(_components.p,{children:[`Available options : `,_jsx(_components.code,{children:`DRAFT`}),`, `,_jsx(_components.code,{children:`OPEN`}),_jsx(_components.br,{}),`\n`,`A booking proposal must have status `,_jsx(_components.code,{children:`OPEN`}),` to be marked as paid via the `,_jsx(_components.code,{children:`/payments`}),` endpoint.`]})})]})}),_jsx(ResponseField,{name:`bookingType`,type:`BookingType`,required:true,id:`param-booking-type-7`,children:_jsxs(_components.p,{children:[`Available options: `,_jsx(_components.code,{children:`INVOICE`}),`, `,_jsx(_components.code,{children:`BILL`})]})}),_jsx(ResponseField,{name:`files`,type:`file[]`,id:`param-files-6`,children:_jsx(Note,{children:_jsx(_components.p,{children:`The file name must not exceed 255 characters in length.`})})})]}),_jsxs(Accordion,{title:`Snelstart`,icon:`https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/snelstart.svg?fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=a18e70fedba8b4166ced134d0ad1b8e3`,\"data-og-width\":`24`,width:`24`,\"data-og-height\":`24`,height:`24`,\"data-path\":`logo/snelstart.svg`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/snelstart.svg?w=280\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=57399806d2aab2973a781d6d73f7adfb 280w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/snelstart.svg?w=560\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=2bab75bd2993e4e6e0b8fa735d844962 560w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/snelstart.svg?w=840\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=fd53a86101f7b298b7ef9d045043d090 840w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/snelstart.svg?w=1100\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=3cf2d5ba1ac6fffc1acab77fddb7c7cd 1100w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/snelstart.svg?w=1650\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=146fb80d2e9909dbe56b4ed618b891f0 1650w, https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/snelstart.svg?w=2500\u0026fit=max\u0026auto=format\u0026n=51AaCYhZi3VILsjj\u0026q=85\u0026s=95b91e12c2e0f5fb4a3b5d173d01ba49 2500w`,id:`snelstart`,children:[_jsx(_components.p,{children:`Supported request 
[...]
